/*ScianFilters.h
  Eric Pepke
  3 Oct 1991*/

extern ObjPtr filterClass, orthoSlicerClass;
extern ObjPtr registeredEasyFilters;

#ifdef PROTO
ObjPtr InitFilter(ObjPtr, ObjPtr, long, int, int, int);
ObjPtr NewFilter(ObjPtr, ObjPtr, long, int, int, int);
ObjPtr AllFilters(ObjPtr, ObjPtr);
void ModifyDatasets(void);
void InitFilters(void);
void KillFilters(void);
void SetupModifyList(void);
void ProcessModifyList(void);
void EmptyModifyList(void);
ObjPtr AllEasyFilters(ObjPtr);
#else
ObjPtr InitFilter();
ObjPtr NewFilter();
ObjPtr AllFilters();
void ModifyDatasets();
void InitFilters();
void KillFilters();
void SetupModifyList();
void ProcessModifyList();
void EmptyModifyList();
void AllEasyFilters(ObjPtr);
#endif
